Update a Wishlist
Updates a Wishlist
PATCH
/
api
/
v2
/
platform
/
wishlists
/
{id}
Update a Wishlist
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wishlist: {name: '<string>', user_id: '<string>', is_default: true, is_private: true}
})
};
fetch('http://{defaultHost}/api/v2/platform/wishlists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/wishlists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wishlist": {
"name": "<string>",
"user_id": "<string>",
"is_default": true,
"is_private": true
}
}
'{
"data": {
"id": "29",
"type": "wishlist",
"attributes": {
"name": "My Super Wishlist",
"is_private": true,
"is_default": false,
"created_at": "2022-11-08T19:36:08.103Z",
"updated_at": "2022-11-08T19:36:08.334Z",
"token": "W4TY5oxqYi2kvpYs26XUPH3p",
"variant_included": false
},
"relationships": {
"wished_items": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Wishlist
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wishlist: {name: '<string>', user_id: '<string>', is_default: true, is_private: true}
})
};
fetch('http://{defaultHost}/api/v2/platform/wishlists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/wishlists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wishlist": {
"name": "<string>",
"user_id": "<string>",
"is_default": true,
"is_private": true
}
}
'{
"data": {
"id": "29",
"type": "wishlist",
"attributes": {
"name": "My Super Wishlist",
"is_private": true,
"is_default": false,
"created_at": "2022-11-08T19:36:08.103Z",
"updated_at": "2022-11-08T19:36:08.334Z",
"token": "W4TY5oxqYi2kvpYs26XUPH3p",
"variant_included": false
},
"relationships": {
"wished_items": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
